Package be.fgov.ehealth.mediprima.core.v1

# Class ParamedicType

java.lang.Object
be.fgov.ehealth.mediprima.core.v1.MedicalCoverCommonInformationType
be.fgov.ehealth.mediprima.core.v1.ParamedicType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:17+02:00", comments="JAXB RI v4.0.5") public class ParamedicType extends MedicalCoverCommonInformationType implements Serializable

Java class for ParamedicType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ParamedicType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:mediprima:core:v1}MedicalCoverCommonInformationType">
           <sequence>
             <element name="ProviderList" minOccurs="0">
               <complexType>
                 <complexContent>
                   <extension base="{urn:be:fgov:ehealth:mediprima:core:v1}NihiiNumberListType">
                   </extension>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamedicType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProviderList`
  `getProviderList()`
  Gets the value of the providerList property.
  `void`
  `setProviderList(ProviderList value)`
  Sets the value of the providerList property.

  ### Methods inherited from class be.fgov.ehealth.mediprima.core.v1.MedicalCoverCommonInformationType

  `getAllowedSupplements, getAmountPatientPartMax, getPswcSupport, getValidityPeriod, setAllowedSupplements, setAmountPatientPartMax, setPswcSupport, setValidityPeriod`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParamedicType

    public ParamedicType()

- ## Method Details

  - ### getProviderList

    public ProviderList getProviderList()
    Gets the value of the providerList property.
    Returns:
      possible object is `ProviderList`

  - ### setProviderList

    public void setProviderList(ProviderList value)
    Sets the value of the providerList property.
    Parameters:
      `value` - allowed object is `ProviderList`